Sites
Post apisitesinstructions
POST
/
api
/
Sites
/
instructions
cURL
curl --request POST \
--url https://api.example.com/api/Sites/instructions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"originName": "<string>",
"hackgatedName": "<string>",
"isActive": true,
"tenantId": "<string>",
"cretedByUserId": "<string>",
"creationdDate": "2023-11-07T05:31:56Z",
"allowedHackerType": true,
"isDeploymentProgress": true,
"startDate": "2023-11-07T05:31:56Z",
"stopDate": "2023-11-07T05:31:56Z",
"credentials": "<string>",
"instructions": "<string>",
"rateLimit": "<string>",
"blockList": "<string>"
}
'import requests
url = "https://api.example.com/api/Sites/instructions"
payload = {
"id": "<string>",
"originName": "<string>",
"hackgatedName": "<string>",
"isActive": True,
"tenantId": "<string>",
"cretedByUserId": "<string>",
"creationdDate": "2023-11-07T05:31:56Z",
"allowedHackerType": True,
"isDeploymentProgress": True,
"startDate": "2023-11-07T05:31:56Z",
"stopDate": "2023-11-07T05:31:56Z",
"credentials": "<string>",
"instructions": "<string>",
"rateLimit": "<string>",
"blockList": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
originName: '<string>',
hackgatedName: '<string>',
isActive: true,
tenantId: '<string>',
cretedByUserId: '<string>',
creationdDate: '2023-11-07T05:31:56Z',
allowedHackerType: true,
isDeploymentProgress: true,
startDate: '2023-11-07T05:31:56Z',
stopDate: '2023-11-07T05:31:56Z',
credentials: '<string>',
instructions: '<string>',
rateLimit: '<string>',
blockList: '<string>'
})
};
fetch('https://api.example.com/api/Sites/instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"originName": "<string>",
"hackgatedName": "<string>",
"isActive": true,
"orgId": "<string>",
"cretedByUserId": "<string>",
"creationdDate": "2023-11-07T05:31:56Z",
"hasCustomList": true,
"isDeploymentProgress": true,
"startDate": "2023-11-07T05:31:56Z",
"stopDate": "2023-11-07T05:31:56Z",
"credentials": "<string>",
"instructions": "<string>",
"rateLimit": "<string>",
"blockList": "<string>"
}Authorizations
Authorization header using the Bearer scheme. Use either a Clerk JWT from the Admin Center frontend or a Clerk Organization API key.
Examples: Bearer eyJhbGciOi... Bearer ak_live_...
Body
application/jsontext/jsonapplication/*+json
Response
OK
Was this page helpful?
⌘I
cURL
